org.apache.commons.math3.optimization.direct

## Class CMAESOptimizer.PopulationSize

- java.lang.Object
- - org.apache.commons.math3.optimization.direct.CMAESOptimizer.PopulationSize

All Implemented Interfaces:
  OptimizationData

Enclosing class:
  CMAESOptimizer

    public static class CMAESOptimizer.PopulationSize
    extends java.lang.Object
    implements OptimizationData

Population size. The number of offspring is the primary strategy parameter. In the absence of better clues, a good default could be an integer close to `4 + 3 ln(n)`, where `n` is the number of optimized parameters. Increasing the population size improves global search properties at the expense of speed (which in general decreases at most linearly with increasing population size).

Since:
  3.1

### Field Summary

Fields
`private int` `lambda` Population size.

### Constructor Summary

Constructors
Constructor and Description
`CMAESOptimizer.PopulationSize(int size)`

### Method Summary

Methods
`int` `getPopulationSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lambda

    private final int lambda

Population size.

### Constructor Detail

#### CMAESOptimizer.PopulationSize

    public CMAESOptimizer.PopulationSize(int size)
                                  throws NotStrictlyPositiveException

Parameters:
  `size` - Population size.
Throws:
  `NotStrictlyPositiveException` - if `size <= 0`.

### Method Detail

#### getPopulationSize

    public int getPopulationSize()

Returns:
  the population size.